Package com.pixelmed.dicom

## Class DicomDirectoryRecordType

- java.lang.Object
- - com.pixelmed.dicom.DicomDirectoryRecordType

-     public class DicomDirectoryRecordType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `concatentation` |
    `static java.lang.String` | `encapsulatedDocument` |
    `static java.lang.String` | `fiducial` |
    `static java.lang.String` | `hl7StructuredDocument` |
    `static java.lang.String` | `image` |
    `static java.lang.String` | `keyObjectDocument` |
    `static java.lang.String` | `patient` |
    `static java.lang.String` | `presentationState` |
    `static java.lang.String` | `rawData` |
    `static java.lang.String` | `realWorldValueMapping` |
    `static java.lang.String` | `registration` |
    `static java.lang.String` | `rtDose` |
    `static java.lang.String` | `rtPlan` |
    `static java.lang.String` | `rtStructureSet` |
    `static java.lang.String` | `rtTreatmentRecord` |
    `static java.lang.String` | `series` |
    `static java.lang.String` | `spectroscopy` |
    `static java.lang.String` | `srDocument` |
    `static java.lang.String` | `stereometricRelationship` |
    `static java.lang.String` | `study` |
    `static java.lang.String` | `waveform` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DicomDirectoryRecordType()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### patient

          public static final java.lang.String patient

      See Also:
        Constant Field Values

    - #### study

          public static final java.lang.String study

      See Also:
        Constant Field Values

    - #### series

          public static final java.lang.String series

      See Also:
        Constant Field Values

    - #### concatentation

          public static final java.lang.String concatentation

      See Also:
        Constant Field Values

    - #### image

          public static final java.lang.String image

      See Also:
        Constant Field Values

    - #### srDocument

          public static final java.lang.String srDocument

      See Also:
        Constant Field Values

    - #### keyObjectDocument

          public static final java.lang.String keyObjectDocument

      See Also:
        Constant Field Values

    - #### waveform

          public static final java.lang.String waveform

      See Also:
        Constant Field Values

    - #### spectroscopy

          public static final java.lang.String spectroscopy

      See Also:
        Constant Field Values

    - #### rawData

          public static final java.lang.String rawData

      See Also:
        Constant Field Values

    - #### rtDose

          public static final java.lang.String rtDose

      See Also:
        Constant Field Values

    - #### rtStructureSet

          public static final java.lang.String rtStructureSet

      See Also:
        Constant Field Values

    - #### rtPlan

          public static final java.lang.String rtPlan

      See Also:
        Constant Field Values

    - #### rtTreatmentRecord

          public static final java.lang.String rtTreatmentRecord

      See Also:
        Constant Field Values

    - #### presentationState

          public static final java.lang.String presentationState

      See Also:
        Constant Field Values

    - #### registration

          public static final java.lang.String registration

      See Also:
        Constant Field Values

    - #### fiducial

          public static final java.lang.String fiducial

      See Also:
        Constant Field Values

    - #### realWorldValueMapping

          public static final java.lang.String realWorldValueMapping

      See Also:
        Constant Field Values

    - #### stereometricRelationship

          public static final java.lang.String stereometricRelationship

      See Also:
        Constant Field Values

    - #### encapsulatedDocument

          public static final java.lang.String encapsulatedDocument

      See Also:
        Constant Field Values

    - #### hl7StructuredDocument

          public static final java.lang.String hl7StructuredDocument

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DicomDirectoryRecordType

          public DicomDirectoryRecordType()